﻿using System;
using System.Linq;
using System.Windows;
using Telerik.Charting;
using Telerik.Windows.Controls;

namespace DataPointTemplateSelector
{
    public class CustomPointTemplateSelector : DataTemplateSelector
    {
        public DataTemplate CustomTemplate { get; set; }
        
        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            var dataPoints = (container as LineSeries).DataPoints;
            var currentPoint = item as CategoricalDataPoint;
            var lastPoint = dataPoints[dataPoints.Count - 1];
            if (lastPoint == currentPoint)
            {
                return this.CustomTemplate;
            }
            else
            {
                return base.SelectTemplate(item, container);
            }
        }
    }
}