﻿using System;
using System.Collections.ObjectModel;
using System.Linq;
using Microsoft.Phone.Controls;

namespace DataPointTemplateSelector
{
    public partial class MainPage : PhoneApplicationPage
    { 
        public MainPage()
        {
            this.InitializeComponent();
            this.chart.Series[0].ItemsSource = this.CreateDataPoints();
        }

        private ObservableCollection<Data> CreateDataPoints()
        {
            var rand = new Random();
            var data = new ObservableCollection<Data>();
            for (var i = 0; i < 5; i++)
            {
                data.Add(new Data { Value = rand.Next(10), Date = DateTime.Today.AddMonths(i) });
            }

            return data;
        }
    }
}